Notification Center Configuration
Endpoints to configure the notification center.
This part of the API is in Beta status. For details, see the API release lifecycle documentation. Returns the notification center configuration.
The notification center configuration was successfully returned.
NotificationCenterConfig
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/configurations/notifications HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"id": "text",
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"created": "2026-01-01T00:00:00.000Z",
"lastModified": "2026-01-01T00:00:00.000Z",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Update the notification center configuration.
Notification center configuration was successfully updated.
NotificationCenterConfig
Notification center configuration was successfully created.
Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
A version conflict occurred.
PUT /api/configurations/notifications HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 164
{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"version": 1
}{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"id": "text",
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"created": "2026-01-01T00:00:00.000Z",
"lastModified": "2026-01-01T00:00:00.000Z",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Executes an action to manipulate the notification center configuration.
Notification center configuration action was successfully executed.
NotificationCenterConfig
Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
A version conflict occurred.
POST /api/configurations/notifications/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 182
{
"channel": {
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
},
"name": "ADD_CHANNEL",
"version": 1
}{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"id": "text",
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"created": "2026-01-01T00:00:00.000Z",
"lastModified": "2026-01-01T00:00:00.000Z",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Delete the notification channel.
Notification center config channel was successfully deleted.
No content
Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
A version conflict occurred.
DELETE /api/configurations/notifications/channels/{channelId}?version=1 HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
This part of the API is in Beta status. For details, see the API release lifecycle documentation. Returns the notification center facility configuration.
The notification center facility configuration was successfully returned.
NotificationCenterConfig
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
GET /api/facilities/{facilityRef}/configurations/notifications HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"id": "text",
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"created": "2026-01-01T00:00:00.000Z",
"lastModified": "2026-01-01T00:00:00.000Z",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Update the notification center facility configuration.
Notification center facility configuration was successfully updated.
NotificationCenterConfig
Notification center facility configuration was successfully created.
Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
A version conflict occurred.
PUT /api/facilities/{facilityRef}/configurations/notifications HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 164
{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"version": 1
}{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"id": "text",
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"created": "2026-01-01T00:00:00.000Z",
"lastModified": "2026-01-01T00:00:00.000Z",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Executes an action to manipulate the notification center facility configuration.
Notification center facility configuration action was successfully executed.
NotificationCenterConfig
Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
A version conflict occurred.
POST /api/facilities/{facilityRef}/configurations/notifications/actions HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 182
{
"channel": {
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
},
"name": "ADD_CHANNEL",
"version": 1
}{
"channels": [
{
"enabled": true,
"events": [
"PICK_JOB_CREATED"
],
"id": "text",
"receiver": [
{
"email": "phil.bison@fulfillmenttools.com",
"language": "de_DE"
}
],
"type": "EMAIL"
}
],
"created": "2026-01-01T00:00:00.000Z",
"lastModified": "2026-01-01T00:00:00.000Z",
"version": 1
}This part of the API is in Beta status. For details, see the API release lifecycle documentation. Delete the notification facility channel.
Notification center facility config channel was successfully deleted.
No content
Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
A version conflict occurred.
DELETE /api/facilities/{facilityRef}/configurations/notifications/channels/{channelId}?version=1 HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
This part of the API is in Alpha status. For details, see the API release lifecycle documentation. Search for Notification
NotificationSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
NotificationPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/notifications/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 3061
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"category": {
"eq": "ORDER",
"in": [
"ORDER"
],
"notEq": "ORDER"
},
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"priority": {
"label": {
"eq": "LOW",
"in": [
"LOW"
],
"notEq": "LOW"
},
"sequence": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
}
}
],
"category": {
"eq": "ORDER",
"in": [
"ORDER"
],
"notEq": "ORDER"
},
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": [
{
"and": "[Circular Reference]",
"category": {
"eq": "ORDER",
"in": [
"ORDER"
],
"notEq": "ORDER"
},
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"priority": {
"label": {
"eq": "LOW",
"in": [
"LOW"
],
"notEq": "LOW"
},
"sequence": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
}
}
],
"priority": {
"label": {
"eq": "LOW",
"in": [
"LOW"
],
"notEq": "LOW"
},
"sequence": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
}
}
],
"category": {
"eq": "ORDER",
"in": [
"ORDER"
],
"notEq": "ORDER"
},
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": [
{
"and": "[Circular Reference]",
"category": {
"eq": "ORDER",
"in": [
"ORDER"
],
"notEq": "ORDER"
},
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"or": "[Circular Reference]",
"priority": {
"label": {
"eq": "LOW",
"in": [
"LOW"
],
"notEq": "LOW"
},
"sequence": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
}
}
],
"priority": {
"label": {
"eq": "LOW",
"in": [
"LOW"
],
"notEq": "LOW"
},
"sequence": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
}
},
"status": {
"eq": "OPEN",
"in": [
"OPEN"
],
"notEq": "OPEN"
}
},
"size": 10,
"sort": [
{
"created": "ASC",
"status": "ASC"
}
]
}{
"notifications": [
{
"category": "ORDER",
"created": "2026-01-01T00:00:00.000Z",
"event": "text",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"lastModified": "2026-01-01T00:00:00.000Z",
"payload": {
"titleLocalized": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"subjectLocalized": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"messageLocalized": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"entityLinks": [
{
"ref": "text",
"type": "ORDER"
}
],
"message": "text",
"subject": "text",
"title": "text"
},
"priority": {
"label": "LOW",
"sequence": 1
},
"status": "OPEN",
"type": "EMAIL",
"version": 1
}
],
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"total": 1
}Last updated
Was this helpful?

